---
services:

  Knp\DictionaryBundle\Dictionary\Factory:
    public: true
    alias: Knp\DictionaryBundle\Dictionary\Factory\Aggregate

  Knp\DictionaryBundle\Dictionary\Factory\Aggregate:
    public: false

  Knp\DictionaryBundle\Dictionary\Factory\Extended:
    public: false
    arguments:
      - '@Knp\DictionaryBundle\Dictionary\Factory'
      - '@Knp\DictionaryBundle\Dictionary\Collection'
    tags:
      - knp_dictionary.factory

  Knp\DictionaryBundle\Dictionary\Factory\Value:
    public: false
    arguments:
      - '@Knp\DictionaryBundle\ValueTransformer'
    tags:
      - knp_dictionary.factory

  Knp\DictionaryBundle\Dictionary\Factory\KeyValue:
    public: false
    arguments:
      - '@Knp\DictionaryBundle\ValueTransformer'
    tags:
      - knp_dictionary.factory

  Knp\DictionaryBundle\Dictionary\Factory\ValueAsKey:
    public: false
    arguments:
      - '@Knp\DictionaryBundle\ValueTransformer'
    tags:
      - knp_dictionary.factory

  Knp\DictionaryBundle\Dictionary\Factory\Invokable:
    public: false
    arguments:
      - '@service_container'
    tags:
      - knp_dictionary.factory

  Knp\DictionaryBundle\Dictionary\Factory\Iterator:
    public: false
    arguments:
      - '@service_container'
    tags:
      - knp_dictionary.factory

  Knp\DictionaryBundle\Dictionary\Factory\Combined:
    public: false
    arguments:
      - '@Knp\DictionaryBundle\Dictionary\Collection'
    tags:
      - knp_dictionary.factory
